Subject: [Netconf] with-defaults capability string doesn't match it's YANG namespace?

From: Kent Watsen <[email-masked]>
Date: Wed, 12 Jan 2011 16:06:28 -0800

>From the "with-defaults" I-D:

  Section 4.3. Capability Identifier

      urn:ietf:params:netconf:capability:with-defaults:1.0

  Section 5. YANG Module for the <with-defaults> Parameter

      module ietf-netconf-with-defaults {

          namespace "urn:ietf:params:xml:ns:yang:ietf-netconf-with-defaults";

Is this allowed?   

RFC 6020 says in section 5.6.4. Announcing Conformance Information in the <hello> Message

   "The namespace URI MUST be advertised as a capability in the NETCONF
   <hello> message to indicate support for the YANG module by a NETCONF
   server.  The capability URI advertised MUST be of the form:

     capability-string   = namespace-uri [ parameter-list ]"

where namespace-uri is later equated to the namespace URI for the module as it appears in the 'namespace' statement"...

Thanks,
Kent

---

From: Andy Bierman <[email-masked]>
Date: Wed, 12 Jan 2011 16:42:43 -0800

Hi,

This is allowed.
The with-defaults capability is separate from the YANG module.
Both capabilities are advertised.
This was an debated issued during development.
My argument for keeping them separate was so that the YANG module
capability would be self-contained and consistent.
Adding arbitrary extra parameters to that capability URI
introduces unwanted coupling in the client and server code.

Andy

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Kent Watsen
Sent: Wednesday, January 12, 2011 4:06 PM
To: [email-masked]
Subject: [Netconf] with-defaults capability string doesn't match it's YANG namespace?

Is this allowed?   

Thanks,
Kent

_______________________________________________
Netconf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netconf

---

From: Kent Watsen <[email-masked]>
Date: Wed, 12 Jan 2011 17:50:33 -0800

> Both capabilities are advertised.

Ah, that wasn't clear from the I-D...  If another revision is to be published, maybe add a clarification to section 4.3?

Thanks,
Kent

-----Original Message-----
From: Andy Bierman [mailto:[email-masked]] 
Sent: Wednesday, January 12, 2011 7:43 PM
To: Kent Watsen; [email-masked]
Subject: RE: with-defaults capability string doesn't match it's YANG namespace?

Hi,

This is allowed.

Andy

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Kent Watsen
Sent: Wednesday, January 12, 2011 4:06 PM
To: [email-masked]
Subject: [Netconf] with-defaults capability string doesn't match it's YANG namespace?

Is this allowed?   

Thanks,
Kent